Bug 1802562 - [abrt] remmina: sse2_blt(): remmina killed by SIGSEGV
Summary: [abrt] remmina: sse2_blt(): remmina killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: remmina
Version: 31
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:022c750cea6bae93593f9fff09c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-13 12:02 UTC by Thomas Jenkins
Modified: 2020-03-12 21:05 UTC (History)
2 users (show)

Fixed In Version: remmina-1.4.1-1.fc30 remmina-1.4.1-1.fc31 remmina-1.4.1-1.el7
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-06 02:10:53 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (106.67 KB, text/plain)
2020-02-13 12:03 UTC, Thomas Jenkins
no flags Details
File: core_backtrace (31.83 KB, text/plain)
2020-02-13 12:03 UTC, Thomas Jenkins
no flags Details
File: cpuinfo (2.15 KB, text/plain)
2020-02-13 12:03 UTC, Thomas Jenkins
no flags Details
File: dso_list (14.26 KB, text/plain)
2020-02-13 12:03 UTC, Thomas Jenkins
no flags Details
File: environ (1.73 KB, text/plain)
2020-02-13 12:03 UTC, Thomas Jenkins
no flags Details
File: exploitable (82 bytes, text/plain)
2020-02-13 12:03 UTC, Thomas Jenkins
no flags Details
File: limits (1.29 KB, text/plain)
2020-02-13 12:03 UTC, Thomas Jenkins
no flags Details
File: maps (95.45 KB, text/plain)
2020-02-13 12:03 UTC, Thomas Jenkins
no flags Details
File: mountinfo (3.06 KB, text/plain)
2020-02-13 12:03 UTC, Thomas Jenkins
no flags Details
File: open_fds (2.08 KB, text/plain)
2020-02-13 12:03 UTC, Thomas Jenkins
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2020-02-13 12:03 UTC, Thomas Jenkins
no flags Details

Description Thomas Jenkins 2020-02-13 12:02:57 UTC
Description of problem:
Died over-night/while locked.

Version-Release number of selected component:
remmina-1.3.10-1.fc31

Additional info:
reporter:       libreport-2.11.3
backtrace_rating: 4
cgroup:         0::/user.slice/user-1000.slice/user@1000.service/gnome-shell-wayland.service
cmdline:        remmina
crash_function: sse2_blt
executable:     /usr/bin/remmina
journald_cursor: s=6e3a44f56807477cba75c45efc2cbb6c;i=3a04f6;b=a7f46ef70c26489581ae89cc564d5b04;m=3b0115c3f4;t=59e73450cb893;x=a08e8000e000421f
kernel:         5.4.17-200.fc31.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 sse2_blt at ../pixman/pixman-sse2.c:4754
 #1 _pixman_implementation_blt at ../pixman/pixman-implementation.c:249
 #2 pixman_blt at ../pixman/pixman-private.h:807
 #3 draw_image_boxes at cairo-image-compositor.c:107
 #4 upload_boxes at cairo-spans-compositor.c:514
 #5 composite_aligned_boxes at cairo-spans-compositor.c:630
 #6 clip_and_composite_boxes at cairo-spans-compositor.c:882
 #8 _cairo_spans_compositor_paint at cairo-spans-compositor.c:983
 #9 _cairo_compositor_paint at cairo-compositor.c:65
 #10 _cairo_surface_paint at cairo-surface.c:2198

Comment 1 Thomas Jenkins 2020-02-13 12:03:01 UTC
Created attachment 1662935 [details]
File: backtrace

Comment 2 Thomas Jenkins 2020-02-13 12:03:03 UTC
Created attachment 1662936 [details]
File: core_backtrace

Comment 3 Thomas Jenkins 2020-02-13 12:03:05 UTC
Created attachment 1662937 [details]
File: cpuinfo

Comment 4 Thomas Jenkins 2020-02-13 12:03:06 UTC
Created attachment 1662938 [details]
File: dso_list

Comment 5 Thomas Jenkins 2020-02-13 12:03:07 UTC
Created attachment 1662939 [details]
File: environ

Comment 6 Thomas Jenkins 2020-02-13 12:03:09 UTC
Created attachment 1662940 [details]
File: exploitable

Comment 7 Thomas Jenkins 2020-02-13 12:03:11 UTC
Created attachment 1662941 [details]
File: limits

Comment 8 Thomas Jenkins 2020-02-13 12:03:13 UTC
Created attachment 1662942 [details]
File: maps

Comment 9 Thomas Jenkins 2020-02-13 12:03:15 UTC
Created attachment 1662943 [details]
File: mountinfo

Comment 10 Thomas Jenkins 2020-02-13 12:03:17 UTC
Created attachment 1662944 [details]
File: open_fds

Comment 11 Thomas Jenkins 2020-02-13 12:03:19 UTC
Created attachment 1662945 [details]
File: proc_pid_status

Comment 12 Fedora Update System 2020-02-25 12:16:20 UTC
FEDORA-2020-9e43273b5d has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-9e43273b5d

Comment 13 Fedora Update System 2020-02-25 12:16:22 UTC
FEDORA-2020-214973f969 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-214973f969

Comment 14 Fedora Update System 2020-02-25 12:16:30 UTC
FEDORA-EPEL-2020-c5e7f4c699 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-c5e7f4c699

Comment 15 Fedora Update System 2020-02-27 16:01:40 UTC
remmina-1.4.1-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-c5e7f4c699

Comment 16 Fedora Update System 2020-02-27 18:10:36 UTC
remmina-1.4.1-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-9e43273b5d

Comment 17 Fedora Update System 2020-02-27 18:34:47 UTC
remmina-1.4.1-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-214973f969

Comment 18 Fedora Update System 2020-03-06 02:10:53 UTC
remmina-1.4.1-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2020-03-06 02:22:08 UTC
remmina-1.4.1-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2020-03-12 21:05:57 UTC
remmina-1.4.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.